#
# spec file for package openssh-askpass-gnome (Version 4.5p1)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           openssh-askpass-gnome
BuildRequires:  gtk2-devel krb5-devel opensc-devel openssh openssl-devel pam-devel tcpd-devel update-desktop-files
License:        Other License(s), see package
Group:          Productivity/Networking/SSH
Version:        4.5p1
Release:        19
Requires:       openssh = %{version} openssh-askpass = %{version}
Autoreqprov:    on
Summary:        A GNOME-Based Passphrase Dialog for OpenSSH
URL:            http://www.openssh.com/
%define _name openssh
Source:         %{_name}-%{version}.tar.bz2
Patch:          %{_name}-%{version}.dif
Patch15:        %{_name}-%{version}-pam-fix2.diff
Patch17:        %{_name}-%{version}-strict-aliasing-fix.diff
Patch18:        %{_name}-%{version}-saveargv-fix.diff
Patch19:        %{_name}-%{version}-pam-fix3.diff
Patch21:        %{_name}-%{version}-gssapimitm.patch
Patch26:        %{_name}-%{version}-eal3.diff
Patch27:        %{_name}-%{version}-engines.diff
Patch28:        %{_name}-%{version}-blocksigalrm.diff
Patch42:        %{_name}-gssapi_krb5-fix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
SSH (Secure Shell) is a program for logging into a remote machine and
for executing commands on a remote machine. This package contains a
GNOME-based passphrase dialog for OpenSSH.



Authors:
--------
    Aaron Campbell
    Bob Beck
    Markus Friedl
    Niels Provos
    Theo de Raadt
    Dug Song
    Ben Taylor <bent@clark.net>
    Chip Salzenberg <chip@valinux.com>
    Chris Saia <csaia@wtower.com>
    Dan Brosemer <odin@linuxfreak.com>
    Jim Knoble <jmknoble@pobox.com>
    Marc G. Fournier <marc.fournier@acadiau.ca>
    Nalin Dahyabhai <nalin.dahyabhai@pobox.com>
    Niels Kristian Bech Jensen <nkbj@image.dk>
    Phil Hands <phil@hands.com>
    Thomas Neumann <tom@smart.ruhr.de>
    Tudor Bosman <tudorb@jm.nu>
    Damien Miller <djm@ibs.com.au>

%define prefix   /usr
%prep
%setup -q -n %{_name}-%{version}
%patch 
%patch15
%patch17
%patch18
%patch19
%patch21
%patch26 -p1
%patch27 -p1
%patch28
%patch42

%build
%{?suse_update_config:%{suse_update_config}}
aclocal
autoheader
autoconf
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure \
	--mandir=%{_mandir} \
	--prefix=%{prefix} \
	--infodir=%{_infodir} \
	--sysconfdir=/etc/ssh \
	--libexecdir=%{prefix}/%_lib/ssh \
	--with-tcp-wrappers \
	--with-pam \
	--with-kerberos5=/usr \
	--with-privsep-path=/var/lib/empty \
        --with-opensc \
	--disable-strip \
        --target=%{_target_cpu}-suse-linux
cd contrib
make %{?jobs:-j%jobs} gnome-ssh-askpass2
mv gnome-ssh-askpass2 gnome-ssh-askpass

%install
install -d -m 755 $RPM_BUILD_ROOT/usr/%_lib/ssh/
install contrib/gnome-ssh-askpass $RPM_BUILD_ROOT/usr/%_lib/ssh/gnome-ssh-askpass

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(0755,root,root) /usr/%_lib/ssh/gnome-ssh-askpass

%changelog
* Tue Dec 12 2006 - anicka@suse.cz
- update to 4.5p1
  * Use privsep_pw if we have it, but only require it if we
  absolutely need it.
  * Correctly check for bad signatures in the monitor, otherwise
  the monitor and the unpriv process can get out of sync.
  * Clear errno before calling the strtol functions.
  * exit instead of doing a blocking tcp send if we detect
  a client/server timeout, since the tcp sendqueue might
  be already full (of alive requests)
  * include signal.h, errno.h, sys/in.h
  * some more bugfixes
* Wed Oct 04 2006 - postadal@suse.cz
- updated to version 4.4p1 [#208662]
  * fixed pre-authentication DoS, that would cause sshd(8) to spin
  until the login grace time expired
  * fixed unsafe signal hander, which was vulnerable to a race condition
  that could be exploited to perform a pre-authentication DoS
  * fixed a GSSAPI authentication abort that could be used to determine
  the validity of usernames on some platforms
  * implemented conditional configuration in sshd_config(5) using the
  "Match" directive
  * added support for Diffie-Hellman group exchange key agreement with a
  final hash of SHA256
  * added a "ForceCommand", "PermitOpen" directive to sshd_config(5)
  * added optional logging of transactions to sftp-server(8)
  * ssh(1) will now record port numbers for hosts stored in
  ~/.ssh/authorized_keys when a non-standard port has been requested
  * added an "ExitOnForwardFailure" option to cause ssh(1) to exit (with
  a non-zero exit code) when requested port forwardings could not be
  established
  * extended sshd_config(5) "SubSystem" declarations to allow the
  specification of command-line arguments
- removed obsoleted patches: autoconf-fix.patch
* Tue Jul 25 2006 - schwab@suse.de
- Fix syntax error in configure script.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 03 2006 - postadal@suse.cz
- updated to version 4.2p1
- removed obsoleted patches: upstream_fixes.diff, gssapi-secfix.patch
* Thu Sep 08 2005 - postadal@suse.cz
- don't strip
* Thu Aug 04 2005 - uli@suse.de
- parallelize build
* Fri Jun 10 2005 - postadal@suse.cz
- updated to version 4.1p1
- removed obsoleted patches: restore_terminal, pam-returnfromsession,
  timing-attacks-fix, krb5ccname, gssapi-pam, logdenysource,
  sendenv-fix, documentation-fix
* Wed Jan 19 2005 - postadal@suse.cz
- renamed askpass-gnome package to openssh-askpass-gnome
* Wed Jan 19 2005 - postadal@suse.cz
- splited spec file to decreas number of build dependencies
